import { defineComponent as i, computed as r, openBlock as u, createBlock as s, unref as t, normalizeProps as p, guardReactiveProps as m, withCtx as f, createVNode as d } from "vue";
import "../../confirm-button/index.mjs";
import "../../count-down-button/index.mjs";
import "../../ellipsis/index.mjs";
import "../../rich-text-editor/index.mjs";
import "../index.mjs";
import { WetProFormItem as P } from "../../pro-form/index.mjs";
import "../../pro-table/index.mjs";
import "../../pro-descriptions/index.mjs";
import "../../layout/index.mjs";
import "../../page/index.mjs";
import "../../guide/index.mjs";
import { ElAutocomplete as h } from "element-plus";
import { wetProFormItemProps as _ } from "../../pro-form/src/types.mjs";
const E = /* @__PURE__ */ i({
  name: "WetAutocomplete",
  __name: "autocomplete",
  props: {
    ..._,
    placeholder: String,
    formInputProps: {
      type: Object
    }
  },
  setup(l) {
    const o = l, c = r(() => {
      const e = { ...o };
      return delete e.formInputProps, e;
    }), n = r(() => o.placeholder ? o.placeholder : `请输入${o.label}`);
    return (e, I) => (u(), s(t(P), p(m(c.value)), {
      default: f(({ modelValue: a }) => [
        d(t(h), p(m({
          ...a,
          placeholder: n.value,
          ...o.formInputProps
        })), null, 16)
      ]),
      _: 1
    }, 16));
  }
});
export {
  E as default
};
